RagTime5SpreadsheetInternal::ClustListParser Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | List of all members
RagTime5SpreadsheetInternal::ClustListParser Struct Reference

Internal: the helper to read a clustList. More...

Inheritance diagram for RagTime5SpreadsheetInternal::ClustListParser:

## Public Member Functions
| ClustListParser (RagTime5ClusterManager &clusterManager, int fieldSize, std::string const &zoneName)
| constructor More...
virtual | ~ClustListParser ()
| destructor More...
std::string | getClusterName (int id) const
| return a name which can be used for debugging More...
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int, libmwaw::DebugStream &f)
| try to parse a data More...
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor More...
virtual | ~DataParser ()
| destructor More...
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone More...
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field More...

## Public Attributes
std::vector< int > | m_clusterList
| the list of read cluster More...

## Private Member Functions
| ClustListParser (ClustListParser &orig)
| copy constructor, not implemented More...
ClustListParser & | operator= (ClustListParser &orig)
| copy operator, not implemented More...

## Private Attributes
int | m_fieldSize
| the field size More...
RagTime5ClusterManager & | m_clusterManager
| the main zone manager More...

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name More...

## Detailed Description

Internal: the helper to read a clustList.

## Constructor & Destructor Documentation

RagTime5SpreadsheetInternal::ClustListParser::ClustListParser | ( | RagTime5ClusterManager & | clusterManager,
|  | int | fieldSize,
|  | std::string const & | zoneName
| ) |  |
| inline

constructor

RagTime5SpreadsheetInternal::ClustListParser::~ClustListParser | ( |  | ) |
| virtual

destructor

RagTime5SpreadsheetInternal::ClustListParser::ClustListParser | ( | ClustListParser & | orig | ) |
| private

copy constructor, not implemented

## Member Function Documentation

std::string RagTime5SpreadsheetInternal::ClustListParser::getClusterName | ( | int | id | ) | const
| inline

return a name which can be used for debugging

ClustListParser& RagTime5SpreadsheetInternal::ClustListParser::operator= | ( | ClustListParser & | orig | ) |
| private

copy operator, not implemented

bool RagTime5SpreadsheetInternal::ClustListParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | ,
|  | libmwaw::DebugStream & | f
| ) |  |
| inlinevirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

## Member Data Documentation

std::vector<int> RagTime5SpreadsheetInternal::ClustListParser::m_clusterList

the list of read cluster

Referenced by RagTime5Spreadsheet::readSpreadsheetCluster().

RagTime5ClusterManager& RagTime5SpreadsheetInternal::ClustListParser::m_clusterManager
| private

the main zone manager

int RagTime5SpreadsheetInternal::ClustListParser::m_fieldSize
| private

the field size

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx